[SCM] Samba Shared Repository - branch master updated

Andrew Tridgell tridge at samba.org
Sun Mar 28 01:40:38 MDT 2010


The branch, master has been updated
       via  09a676a... s4-selftest: use CONFIG_H environment variable to find config.h
      from  1f04675... s4:heimdal Use correct variable to advance past -- options in kpasswd

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 09a676a4712b86ad0406487f38a8a1a4e6a9e115
Author: Andrew Tridgell <tridge at samba.org>
Date:   Sat Mar 27 12:44:20 2010 +1100

    s4-selftest: use CONFIG_H environment variable to find config.h

-----------------------------------------------------------------------

Summary of changes:
 source4/selftest/tests.sh |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source4/selftest/tests.sh b/source4/selftest/tests.sh
index 253f4f5..f832b4f 100755
--- a/source4/selftest/tests.sh
+++ b/source4/selftest/tests.sh
@@ -118,7 +118,10 @@ for options in "" "--option=socket:testnonblock=true" "-U\$USERNAME%\$PASSWORD -
     plantest "ldb.ldap with options $options" dc $bbdir/test_ldb.sh ldap \$SERVER $options
 done
 # see if we support ldaps
-if grep ENABLE_GNUTLS.1 include/config.h > /dev/null; then
+[ -n "$CONFIG_H" ] || {
+    CONFIG_H="include/config.h"
+}
+if grep ENABLE_GNUTLS.1 $CONFIG_H > /dev/null; then
     for options in "" "-U\$USERNAME%\$PASSWORD"; do
 	plantest "ldb.ldaps with options $options" dc $bbdir/test_ldb.sh ldaps \$SERVER_IP $options
     done


-- 
Samba Shared Repository


More information about the samba-cvs mailing list